import request from '@/utils/request'

// 查询设备时长变化记录列表
export function listTime(query) {
  return request({
    url: '/ss/time/list',
    method: 'get',
    params: query
  })
}

// 查询设备时长变化记录详细
export function getTime(id) {
  return request({
    url: '/ss/time/' + id,
    method: 'get'
  })
}

// 新增设备时长变化记录
export function addTime(data) {
  return request({
    url: '/ss/time',
    method: 'post',
    data: data
  })
}

// 修改设备时长变化记录
export function updateTime(data) {
  return request({
    url: '/ss/time',
    method: 'put',
    data: data
  })
}

// 删除设备时长变化记录
export function delTime(id) {
  return request({
    url: '/ss/time/' + id,
    method: 'delete'
  })
}
